# Get deposit fee estimate

`POST https://api.strike.me/v1/deposits/fee`

Source: https://docs.strike.me/api/get-deposit-fee-estimate/

---

Required scopes:

- partner.deposit.manage

## Request body

`application/json`, required

- `paymentMethodId` (uuid, required): Payment method to estimate the fee for.
- `amount` (string, required): Amount to estimate the fee for. Currency is defined by the payment method.
- `feePolicy` (string): Should the fee be included in the amount or added on top of it. Defaults to EXCLUSIVE. One of `INCLUSIVE`, `EXCLUSIVE`.

Example:

```json
{
  "paymentMethodId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "amount": "56.99",
  "feePolicy": "INCLUSIVE"
}
```

## Responses

### 200 OK

`application/json`

- `amount` (object, required): Amount to be deposited.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `fee` (object, required): Transaction fee to be paid.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `total` (object, required): Total amount to be charged on the payment method.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `feePercent` (string): The fee percentage, if applicable.
- `feeFixed` (string): The fixed fee, if applicable.
- `settledAt` (date-time): Timestamp at which the settlement will happen. At this time, the funds become available to be spent or sent out of the system (see `balance` endpoint for more information). If null, the settlement is immediate.
- `settlementPeriodInDay` (int32): Settlement period in days. After the said period, the funds become available to be spent or sent out of the system (see `balance` endpoint for more information). If null, the settlement is immediate.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
